using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查项目分类关联表
    /// </summary>
    [Description("检查项目分类")]
    public class T_BS_CHECK_PROJECT_PROJECT_CATEGORY : MesEntityBase
    {

        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查项目")]
        [DataFieldForeignKey("Nav_CheckProject", "Nav_ListCheckProjectProjectCategory")]
        public Guid? CHECK_PROJECT_ID { get; set; }

        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查类型等级编号")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        ///<summary>
        /// 导航：检查内容
        /// </summary>
        [Description("导航：检查项目")]
        public virtual T_BS_CHECK_PROJECT Nav_CheckProject { get; set; }

        /// <summary>
        /// 检查项目分类
        /// </summary>
        [Description("检查项目分类")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_CheckProjectCategory")]
        public Guid CHECK_PROJECT_CATEGORY_ID { get; set; }

        /// <summary>
        /// 导航：检查项目分类
        /// </summary>
        [Description("导航：检查项目分类")]
        public virtual T_BS_CHECK_PROJECT_CATEGORY Nav_CheckProjectCategory { get; set; }

    }
}
